project(mirage_image)

set(SOURCE_FILES)
retrieve_files(${CMAKE_CURRENT_SOURCE_DIR} SOURCE_FILES)

add_library(${PROJECT_NAME} STATIC ${SOURCE_FILES})
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(${PROJECT_NAME} PUBLIC sokol)
